# Scholars Publications GraphQL App

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

The sources files are located in /src folder.
When developing locally, uncomment the section that starts with '// Use for local testing' and comment out the section that starts with '// Use for deployment in Scholars Publications Drupal module' in `index.js`.
- To test, run `npm start`
- To build the production-ready scripts, run `npm run build`. The script will copy the hashed production files into `build/main.js` and `build/main.css`.

## Available Scripts

In the project directory, you can run:

### `npm start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in your browser.

The page will reload when you make changes.\
You may also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.\
See the section about [running tests](https://facebook.github.io/create-react-app/docs/running-tests) for more information.

### `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!


## Learn More

You can learn more in the [Create React App documentation](https://facebook.github.io/create-react-app/docs/getting-started).

To learn React, check out the [React documentation](https://reactjs.org/).
